<VirtualHost *:80>
    ServerName track.rosille.com.ng
    DocumentRoot /var/www/track

    <Directory /var/www/track>
        AllowOverride All
        Require all granted
    </Directory>

    ErrorLog ${APACHE_LOG_DIR}/track-error.log
    CustomLog ${APACHE_LOG_DIR}/track-access.log combined

    # Redirect all HTTP to HTTPS
    RewriteEngine On
    RewriteCond %{SERVER_NAME} =track.rosille.com.ng
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
